Subject: Re: Submodules UX overhaul update (was: What's cooking in git.git (Oct 2021, #03; Mon, 11))

From: Atharva Raykar <[email-masked]>
Date: Wed, 13 Oct 2021 10:50:23 +0530

Emily Shaffer <[email-masked]> writes:

> As I promised in IRC yesterday, here's an attempt to filter this into a
> submodules newsletter of sorts.
>
> For context on the broader submodules effort I'm discussing in this
> note, please see the design doc:
> https://lore.kernel.org/git/[email-masked]/
>
> I'm aware there are other submodule efforts ongoing too, but in this
> letter I've highlighted ones that are necessary for the above-linked
> design doc. Selfish, I know. ;)
>
> On Mon, Oct 11, 2021 at 05:14:14PM -0700, Junio C Hamano wrote:
>> [Stalled]
>>
>> * ar/submodule-update (2021-09-20) 8 commits
>>  . submodule--helper: rename helper functions
>>  . submodule--helper: remove unused helpers
>>  . submodule--helper: remove update-clone subcommand
>>  . submodule: move core cmd_update() logic to C
>>  . submodule--helper: refactor get_submodule_displaypath()
>>  . submodule--helper: rename helpers for update-clone
>>  . submodule--helper: get remote names from any repository
>>  . submodule--helper: split up ensure_core_worktree()
>>
>>  Rewrite of "git submodule update" in C.
>>
>>  Kicked out of 'seen' to make room for es/superproject-aware-submodules
>>  which is among the topics this topic stomps on.
>
> Mentioning this series in the "newsletter" since I'm aware that I'm
> blocking it with es/superproject-aware-submodules. I have it open in
> another tab as I type and plan to send a reroll today or tomorrow.

I am not sure if this will be helpful or not, but today I sent a reroll
of my topic, and while I was at it, I tried to reapply your series and
my series on the up-to-date master to see where conflicts appear. I have
written a note about it in my cover letter [1]. I hope it can be helpful
in some way!

[1] https://lore.kernel.org/git/[email-masked]/